Subject: bug#41401: 27.0.91; gdb-mi headers use mode-line faces

From: Trevor Spiteri <[email-masked]>
Date: Tue, 19 May 2020 14:50:29 +0200

On 19/05/2020 14:43, Trevor Spiteri wrote:
> In gdb-mi, the formats used for header-line-format make use of the
> mode-line, mode-line-inactive and mode-line-highlight faces. This makes
> my headers misaligned since I customized the mode-line and
> mode-line-inactive faces to be narrower than the default face. (Changing
> the mode-line faces is also done in some themes inside etc/themes.)
>
> Maybe a good compromise would be to create new faces which inherit the
> mode-line faces by default, so at least there is an easy way to
> customize these new faces to fix the alignment.

Oh, I was confused. The header line which uses the mode-line faces
should not be aligned with the rest of the window: it is used to select
window modes, e.g. either Breakpoints or Threads. Then in that same
window there can be column headers which are already properly aligned as
they do not use a different face.

This report can be closed.